/*
 * uart5.h
 *
 *  Created on: Sep 17, 2021
 *      Author: thomm
 */

#ifndef UART5_H_
#define UART5_H_

// get is blocking

void uart5_init(void);
void uart5_setup(uint32_t ui32Baud, uint32_t ui32SrcClock);

int uart5_write(const char *pcBuf, uint32_t ui32Len);
int uart5_rx_str(char *pcBuf, uint32_t ui32Len);

unsigned char uart5_rx_byte(void);
void uart5_tx_byte(unsigned char c);

int uart5_rx_bytes_avail(void);
int uart5_tx_bufr_bytes_free(void);
int uart5_rx_bufr_peek(unsigned char ucChar);
void uart5_rx_bufr_flush(void);
void uart5_tx_bufr_flush(bool bDiscard);

void uart5_echo_set(bool bEnable);

void uart5_isr(void);           // plug this into interrupt table in tm4c123gh6pge_startup_ccs.c



#endif /* UART5_H_ */
